# Usage

Register a runner with GitLab Runner and configure it like this:

```
[[runners]]
  name = "DrupalCI"
  url = "https://your.gitlab.url/"
  token = "..."
  executor = "docker"
  [runners.docker]
    tls_verify = false
    image = "registry.lakedrops.com/docker/gitlab-drupal-ci:php-7.2"
    privileged = true
    disable_entrypoint_overwrite = false
    oom_kill_disable = false
    disable_cache = false
    volumes = ["/var/run/docker.sock:/var/run/docker.sock", "/cache"]
    shm_size = 0
  [runners.cache]
    [runners.cache.s3]
    [runners.cache.gcs]
```

# Node version

When using node from within this framework, this defaults to version `12-stretch-slim` but you can change the default version by setting the environment variable `NODE_VERSION` to one of these tags:

- 8-jessie-slim
- 10-jessie-slim
- 12-stretch-slim
- 13-stretch-slim

# Credit

- [Image from jonaskello](https://github.com/jonaskello/docker-and-compose)
- [Alpine glibc from sgerrand](https://github.com/sgerrand/alpine-pkg-glibc)
